Subject: Created a named item when running the server in debug mode leads to a full stop.
Description

When you issue a createNamedItemInBag command when your EGS is running in debug mode it encounters a full stop with the
following logging:

2012/09/12 17:29:20 213.166.170.12/EGS-138 WRN b715a6d0 log_item_gen.cpp 1221 :
/home/mattr/sandbox/ryzom/code/ryzom/server/src/entities_game_service/game_item_manager/game_item.cpp(1210) :
Missing log context for log 'Item'
2012/09/12 17:29:20 213.166.170.12/EGS-138 AST b715a6d0 log_item_gen.cpp 1221 : STOP

It looks like this fires normally but when in debug mode the STOP macro hits DEBUG_STOP which actually halts the EGS. The issue
is that the 'Item' types in game_item.cpp have no context declared in the source file or even defined in the log_item_gen.h/cpp files in 
server_share. I think the solution is to add this to the top of the game_item.cpp file:

TLogNoContext_Item      noContext;

History
#1 - 09/12/2012 08:23 pm - sfb
- Description updated
- Category set to Services: General
- Assignee set to sfb
- Target version set to Version 0.9.0

Added detailed description.

#2 - 09/12/2012 09:30 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:475d301bcc23.
